# Class QCJSONWriter.SparseArray

java.lang.Object
javajs.util.SB
org.jmol.adapter.writers.QCJSONWriter.SparseArray

Enclosing class:
  `QCJSONWriter`

public class QCJSONWriter.SparseArray extends SB
/ sparse array handling ////

## Constructor Summary

Constructors
Constructor
Description
`SparseArray(String type)`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`add(String element)`
`boolean`
`allEmptyString()`
`boolean`
`allNaN()`
`boolean`
`allNull()`
`boolean`
`allSame()`
`boolean`
`allZero()`
`boolean`
`hasValues()`
`boolean`
`isEmpty()`
`boolean`
`isNumericAndNonZero()`
`String`
`lastElement()`
`String`
`toString()`

### Methods inherited from class SB

`append, appendB, appendC, appendCB, appendD, appendF, appendI, appendO, appendSB, charAt, charCodeAt, indexOf, indexOf2, insert, lastIndexOf, length, newN, newS, replace, setLength, substring, substring2, toBytes`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### SparseArray

public SparseArray(String type)

## Method Details

### add

protected void add(String element)

### lastElement

public String lastElement()

### isEmpty

public boolean isEmpty()

### allNaN

public boolean allNaN()

### allNull

public boolean allNull()

### allEmptyString

public boolean allEmptyString()

### allSame

public boolean allSame()

### allZero

public boolean allZero()

### hasValues

public boolean hasValues()

### isNumericAndNonZero

public boolean isNumericAndNonZero()

### toString

public String toString()

Overrides:
  `toString` in class `SB`